Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.core.transfer
Class Linear

    java.lang.Object
      org.neuroph.core.transfer.TransferFunction
          org.neuroph.core.transfer.Linear

All Implemented Interfaces:
  java.io.Serializable

    public class Linear

extends TransferFunction
implements java.io.Serializable

Linear neuron transfer function.

See Also:
  Serialized Form

Constructor Summary
`Linear()` Creates an instance of Linear transfer function
`Linear(double slope)` Creates an instance of Linear transfer function with specified value for getSlope parametar.
`Linear(Properties properties)` Creates an instance of Linear transfer function with specified properties

Method Summary
`double` | `getDerivative(double net)` Returns the first derivative of this function.
`double` | `getOutput(double net)` Returns the ouput of this function.
`double` | `getSlope()` Returns the slope parametar of this function
`void` | `setSlope(double slope)` Sets the slope parametar for this function

Methods inherited from class org.neuroph.core.transfer.TransferFunction
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Linear

    public Linear()

  Creates an instance of Linear transfer function

### Linear

    public Linear(double slope)

  Creates an instance of Linear transfer function with specified value for getSlope parametar.

### Linear

    public Linear(Properties properties)

  Creates an instance of Linear transfer function with specified properties

Method Detail

### getSlope

    public double getSlope()

  Returns the slope parametar of this function

  Returns:
    slope parametar of this function

### setSlope

    public void setSlope(double slope)

  Sets the slope parametar for this function

  Parameters:
    `slope` - value for the slope parametar

### getOutput

    public double getOutput(double net)

  Description copied from class: `TransferFunction`
  Returns the ouput of this function.

  Specified by:
    `getOutput` in class `TransferFunction`
  Parameters:
    `net` - net input

### getDerivative

    public double getDerivative(double net)

  Description copied from class: `TransferFunction`
  Returns the first derivative of this function.

  Overrides:
    `getDerivative` in class `TransferFunction`
  Parameters:
    `net` - net input

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD